aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-07-14 16:34:58 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2024-07-14 16:34:58 +0300
commit679aefb63d364b2bc73c13b75fe5bee407822892 (patch)
treee7c8631aeda43d40f1d44e603f27a76d9e129f92 /scripts
parent4b3a6a072620b0b0a5ddc92ba615a4fea9964145 (diff)
downloadposthaste-679aefb63d364b2bc73c13b75fe5bee407822892.tar.gz
posthaste-679aefb63d364b2bc73c13b75fe5bee407822892.zip
update ejit
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makefile5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/makefile b/scripts/makefile
index 7f24989..3efa6d7 100644
--- a/scripts/makefile
+++ b/scripts/makefile
@@ -14,6 +14,11 @@ ASSERTFLAGS != [ "$(ASSERT)" != "0" ] \
&& echo "-DASSERT=1" \
|| echo
+JIT ?= 1
+JITFLAGS != [ "$(JIT)" != "0" ] \
+ && echo "-DJIT=1" \
+ || echo "-DJIT=0"
+
DEPFLAGS = -MT $@ -MMD -MP -MF $@.d
LINTFLAGS = -fsyntax-only
PREPROCESS = -E